.NET Framework 4.x 어셈블리는 SQL Server Reporting Services 지원되지 않습니다.

원래 제품 버전:   SQL Server 2012, SQL Server 2014
원래 KB 번호:   2869522

요약

SSRS(Microsoft SQL Server Reporting Services)는 사용자 지정 확장 및 사용자 지정 코드를 포함하여 확장을 지원합니다. 그러나 SSRS는 Microsoft .NET Framework 4.x 기반 어셈블리를 지원하지 않습니다. 따라서 .NET Framework 4.x 어셈블리를 로드할 수 없습니다.

중요

이 문제는 SQL Server 2012 및 SQL Server 2014년 버전의 SQL Server만 적용됩니다.

참고

  • Microsoft SharePoint 통합 모드에서 Microsoft Reporting Server 2012 SP1(서비스 팩 1)이 SharePoint 공유 서비스로 실행되면 어셈블리를 로드할 수 있습니다. 서비스가 Microsoft .NET Framework 4.5 프로세스로 실행되고 보고서 서버가 .NET Framework 4.x용으로 빌드된 사용자 지정 어셈블리 및 확장을 로드할 수 있기 때문입니다.

  • SSRS는 Microsoft .NET Framework 2.0 및 Microsoft .NET Framework 3.5에 대해 빌드됩니다. SSRS에서만 .NET Framework 2.0 또는 .NET Framework 3.5를 사용하는 것이 좋습니다.

  • SSDT(SQL Server Data Tools)는 SQL Server 2012에 포함된 Microsoft Visual Studio 환경입니다. SSDT의 보고서 디자이너 PreviewProcessingService.exe 사용하여 보고서를 렌더링합니다. PreviewProcessingService.exe .NET Framework 4.0을 사용하므로 디자인 시간과 보고서 서버에 배포 간의 동작에 차이가 발생할 수 있습니다.

추가 정보